<?php
/**
*
* @package phpBB Extension - Fixed Header and Footer Navbar
* @copyright (c) 2017 Stoker
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace stoker\fixedheaderfooter\migrations\v1x;

class release_1_0_1_schema extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'users', 'user_fixedheaderfooterheader');
	}

	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_fixedheaderfooterheader'			=> array('BOOL', 1),
					'user_fixedheaderfooterfooter'			=> array('BOOL', 1),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_fixedheaderfooterheader',
					'user_fixedheaderfooterfooter',
				),
			),
		);
	}
}
